> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# weeknumber

> MDO provider for the hard-coded list of numbered weeks in the recurrence dialog.

## "weeknumber" MDO List

MDO provider for the hard-coded list of numbered weeks in the recurrence dialog.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.WeekNumberProvider">WeekNumberProvider</see> class.
The name of the MDO list is 'weeknumber'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/weeknumber
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("weeknumber", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name       | StyleHint | ExtraInfo |
| -- | ---------- | --------- | --------- |
| 1  | The First  |           | First     |
| 2  | The Second |           | Second    |
| 3  | The Third  |           | Third     |
| 4  | The Fourth |           | Fourth    |
| 5  | The Last   |           | Last      |

## Related MDO Lists

* "weeknumberheadings"
* "weeknumberheadingswithallitem"
* "weeknumberheadingswithallitemwithnoselection"
* "weeknumberheadingswithnoselection"
* "weeknumberwithallitem"
* "weeknumberwithallitemwithnoselection"
* "weeknumberwithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
